Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363836 - [GSS] (6.4.z) JBTM-2703 - When a transaction is committed at the same instance as a resource adapter/remote EJB calls XAT::recover() then you can get an NPE
Summary: [GSS] (6.4.z) JBTM-2703 - When a transaction is committed at the same instanc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: EAP 6.4.11
Assignee: Stephen Fikes
QA Contact: Ondrej Chaloupka
URL:
Whiteboard:
Depends On:
Blocks: 1363841 eap6411-payload 1366320
TreeView+ depends on / blocked
 
Reported: 2016-08-03 17:13 UTC by Stephen Fikes
Modified: 2017-01-17 13:08 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Cause: Prepared transaction objects stored in the transaction store on the file system may be deleted as the result of commit or rollback. Consequence: An in-progress recovery operation may encounter a NullPointerException accessing the transaction object following a failed load of the deleted file. Fix: The logic will test to verify that the transaction object loaded by recovery is not null before attempting to use it. Result:
Clone Of:
: 1363841 (view as bug list)
Environment:
Last Closed: 2017-01-17 13:08:09 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2348161 None None None 2016-08-03 17:20:54 UTC
JBoss Issue Tracker JBEAP-5612 Major Verified [GSS] (7.0.z) JBTM-2703 When a transaction is committed at the same instance as a resource adapter/remote EJB calls XAT:... 2017-12-15 13:46:33 UTC

Description Stephen Fikes 2016-08-03 17:13:24 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 JBoss JIRA Server 2016-08-12 21:36:04 UTC
Brad Maxwell <bmaxwell@redhat.com> updated the status of jira JBEAP-5612 to Coding In Progress

Comment 3 JBoss JIRA Server 2016-09-29 15:44:28 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBEAP-5612 to Reopened

Comment 4 Jiří Bílek 2016-10-04 07:52:15 UTC
Verified with EAP 6.4.11.CP.CR1

Comment 5 JBoss JIRA Server 2016-10-18 12:51:13 UTC
Ivo Studensky <istudens@redhat.com> updated the status of jira JBEAP-5612 to Resolved

Comment 6 Petr Penicka 2017-01-17 13:08:09 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.